summaryrefslogtreecommitdiff
path: root/sanity_check
diff options
context:
space:
mode:
authorCST 1998 Shawn T. Amundson <amundson@gtk.org>1998-10-25 08:20:31 +0000
committerShawn Amundson <amundson@src.gnome.org>1998-10-25 08:20:31 +0000
commitc3d01e7332370931888ba6a1574e3c9ef26d247c (patch)
tree5de74b0b7c5de1e9ee1e62703933f1bf84210dbb /sanity_check
parente86746f168529218742af51365155a5034c8f9c8 (diff)
downloadglib-c3d01e7332370931888ba6a1574e3c9ef26d247c.tar.gz
glib-c3d01e7332370931888ba6a1574e3c9ef26d247c.tar.bz2
glib-c3d01e7332370931888ba6a1574e3c9ef26d247c.zip
Released GLib 1.1.4GLIB_1_1_4
Sun Oct 25 01:24:01 CST 1998 Shawn T. Amundson <amundson@gtk.org> * Released GLib 1.1.4 * docs/Makefile.am: * docs/.cvsignore * docs/glib-config.1: * docs/glib.texi: Moved docs from gtk and created glib-config.1 from gtk-config.1 in gtk * configure.in: * Makefile.am: * sanity_check: added in docs directory, change rule 'release' to 'snapshot' and created a new 'release' rule for doing the distribution. Added in a 'sanity' rule. * NEWS: * README: * INSTALL: Updated for the release
Diffstat (limited to 'sanity_check')
-rwxr-xr-xsanity_check41
1 files changed, 41 insertions, 0 deletions
diff --git a/sanity_check b/sanity_check
new file mode 100755
index 000000000..87673c93a
--- /dev/null
+++ b/sanity_check
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+VERSION=$1
+
+if [ ! -f glib-$VERSION.tar.gz ]; then
+ echo "ERROR: glib-$VERSION.tar.gz does not exist..."
+ exit 1
+fi
+
+echo ""
+
+echo "Checking glib-$VERSION.tar.gz..."
+tar xfz glib-$VERSION.tar.gz
+
+
+for file in README NEWS glib.spec docs/glib-config.1
+do
+ echo -n "$file... "
+ if [ "x`grep $VERSION glib-$VERSION/$file | wc -l | awk -F' ' '{print $1}'`" == "x1" ]; then
+ echo "ok"
+ else
+ echo "failed."
+ exit 1
+ fi
+done
+
+echo -n "INSTALL..."
+if [ "x`grep $VERSION glib-$VERSION/INSTALL | wc -l | awk -F' ' '{print $1}'`" == "x2" ]; then
+ echo "ok"
+else
+ echo "failed."
+ exit 1
+fi
+
+echo ""
+echo "Number of lines in created documentation files:"
+
+wc -l glib-$VERSION/docs/*.html | grep -v total
+wc -l glib-$VERSION/docs/*.info | grep -v total
+
+rm -rf glib-$VERSION